commoble.bagofyurting

## Class OptionalSpawnParticlePacket

- java.lang.Object
- - net.minecraft.network.play.server.SSpawnParticlePacket
  - - commoble.bagofyurting.OptionalSpawnParticlePacket

All Implemented Interfaces:
  net.minecraft.network.IPacket<net.minecraft.client.network.play.IClientPlayNetHandler>

    public class OptionalSpawnParticlePacket
    extends net.minecraft.network.play.server.SSpawnParticlePacket

### Constructor Summary

Constructors
Constructor and Description
`OptionalSpawnParticlePacket(T type, boolean b, double posX, double posY, double posZ, float xOffset, float yOffset, float zOffset, float speed, int particleCount)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `processPacket(net.minecraft.client.network.play.IClientPlayNetHandler handler)`
`static <T extends net.minecraft.particles.IParticleData> void` `spawnParticlesFromServer(net.minecraft.world.server.ServerWorld world, T particleType, double posX, double posY, double posZ, int particleCount, double xOffset, double yOffset, double zOffset, double speed)`

### Methods inherited from class net.minecraft.network.play.server.SSpawnParticlePacket

`getParticle, getParticleCount, getParticleSpeed, getXCoordinate, getXOffset, getYCoordinate, getYOffset, getZCoordinate, getZOffset, isLongDistance, readPacketData, writePacketData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.network.IPacket

`shouldSkipErrors`

### Constructor Detail

#### OptionalSpawnParticlePacket

    public OptionalSpawnParticlePacket(T type,
                                       boolean b,
                                       double posX,
                                       double posY,
                                       double posZ,
                                       float xOffset,
                                       float yOffset,
                                       float zOffset,
                                       float speed,
                                       int particleCount)

### Method Detail

#### spawnParticlesFromServer

    public static <T extends net.minecraft.particles.IParticleData> void spawnParticlesFromServer(net.minecraft.world.server.ServerWorld world,
                                                                                                  T particleType,
                                                                                                  double posX,
                                                                                                  double posY,
                                                                                                  double posZ,
                                                                                                  int particleCount,
                                                                                                  double xOffset,
                                                                                                  double yOffset,
                                                                                                  double zOffset,
                                                                                                  double speed)

#### processPacket

    public void processPacket(net.minecraft.client.network.play.IClientPlayNetHandler handler)

Specified by:
  `processPacket` in interface `net.minecraft.network.IPacket<net.minecraft.client.network.play.IClientPlayNetHandler>`
Overrides:
  `processPacket` in class `net.minecraft.network.play.server.SSpawnParticlePacket`